apache-commons-io-2.4-22.9.noarch.rpm


Advertisement

Description

apache-commons-io - Utilities to assist with developing IO functionality

Distribution: openSUSE 42.1
Repository: openSUSE JAVA all
Package name: apache-commons-io
Package version: 2.4
Package release: 22.9
Package architecture: noarch
Package type: rpm
Installed size: 226.92 KB
Download size: 173.43 KB
Official Mirror: ftp.gwdg.de
Commons-IO contains utility classes, stream implementations, file filters, and endian classes. It is a library of utilities to assist with developing IO functionality.

Alternatives

Provides

  • apache-commons-io = 2.4-22.9
  • commons-io = 2.4-22.9
  • jakarta-commons-io = 2.4-22.9

Obsoletes

  • jakarta-commons-io <= 2.4

    Install Howto

    1. Add the openSUSE JAVA repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_42.1/ opensuse-java
    2. Install apache-commons-io rpm package:
      # zypper install apache-commons-io

    Files

    • /usr/share/doc/packages/apache-commons-io/LICENSE.txt
    • /usr/share/doc/packages/apache-commons-io/NOTICE.txt
    • /usr/share/doc/packages/apache-commons-io/RELEASE-NOTES.txt
    • /usr/share/java/apache-commons-io.jar
    • /usr/share/java/commons-io.jar
    • /usr/share/maven-metadata/apache-commons-io.xml
    • /usr/share/maven-poms/JPP-commons-io.pom

    Changelog

    2015-03-18 - tchvatal@suse.com - Fix build with new javapackages-tools

    2014-07-07 - tchvatal@suse.com - Use junit not junit4

    2013-09-09 - tchvatal@suse.com - Move from jpackage-utils to javapackage-tools

    2013-03-20 - mmeister@suse.com - Added url as source. Please see http://en.opensuse.org/SourceUrls

    2012-10-25 - mvyskocil@suse.com - update to the latest upstream version 2.4 (needed by fop 1.1) * many bugfixes, features and enhancenments, like * XmlStreamReader support for UTF-32 * requires jdk6 or later * see RELEASE-NOTES.txt for details - rename to apache-commons-io to stay compatible with upstream and fedora - add commons-io-version-property.patch to fix the version in build.xml

    2008-08-25 - mvyskocil@suse.cz - target=1.5 - removed a build gcj support - removed a javadoc %post/postun - fixed a wrong end of line encoding

    2008-03-13 - mvyskocil@suse.cz - Initial package created with version 1.3.2 (JPackage 1.7)

    Advertisement
    Advertisement